Subject: Re: [PATCH 22/40] Windows: Implement asynchronous functions as threads.

From: Paul Franz <[email-masked]>
Date: Thu, 28 Feb 2008 12:48:58 -0500

This reminds me of a crazy idea and I know it would be quite a bit of 
work. Do you think it would be possible to change git to use Apache's 
apr library? The benefit would be that the cross platform stuff is 
already written. I understand that it would not be tweaked to be 
optimized for git's usage. But it would allow people to focus on the 
heart of the git and not the way git interacts with the OS level stuff.  
Obviously, the scripts that make up part of git are not as portable but 
that is a different animal unless you want to either support a cross 
platform scripting language as part of git.

As I said it is a crazy idea.

Paul Franz

Johannes Schindelin wrote:
> Hi,
>
> On Wed, 27 Feb 2008, Johannes Sixt wrote:
>
>   
>> In upload-pack we must explicitly close the output channel of rev-list. 
>> (On Unix, the channel is closed automatically because process that runs 
>> rev-list terminates.)
>>     
>
> When I read this patch, my impression was that it litters the source code 
> with #ifdef's.  IMO this makes the code less readable, and as a 
> consequence easer to fsck up.
>
> Unfortunately, I have no idea how to help that, other than implementing 
> compat/thread.[ch], abstracting the thread functions, and introducing a 
> NO_FORK Makefile variable and preprocessor constant.
>
> Hmpf.
>
> Ciao,
> Dscho
>
> --
> To unsubscribe from this list: send the line "unsubscribe git" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>   

-- 

-------------------------------------------

There are seven sins in the world.
     Wealth without work.
     Pleasure without conscience.
     Knowledge without character.
     Commerce without morality.
     Science without humanity.
     Worship without sacrifice.
     Politics without principle.

   -- Mohandas Gandhi

-------------------------------------------